
From: NeilBrown <neilb@cse.unsw.edu.au>

Make sure we don't try to delete client recovery directories multiple times;
fixes some spurious error messages.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4recover.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfsd/nfs4recover.c~nfsd4-prevent-multiple-unlinks-of-recovery-directories fs/nfsd/nfs4recover.c
--- 25/fs/nfsd/nfs4recover.c~nfsd4-prevent-multiple-unlinks-of-recovery-directories	Wed Jul  6 13:08:18 2005
+++ 25-akpm/fs/nfsd/nfs4recover.c	Wed Jul  6 13:08:18 2005
@@ -316,6 +316,7 @@ nfsd4_remove_clid_dir(struct nfs4_client
 	if (!rec_dir_init || !clp->cl_firststate)
 		return;
 
+	clp->cl_firststate = 0;
 	nfs4_save_user(&uid, &gid);
 	status = nfsd4_unlink_clid_dir(clp->cl_recdir, HEXDIR_LEN-1);
 	nfs4_reset_user(uid, gid);
_
